Skip to content

Revoke a principal's access

Request

Beta
OAuth 2.0 scope:
  • okta.governance.entitlements.manage
Admin roles:
  • APP_ADMIN

Revokes a principal's access to resources (entitlement values, entitlement bundles, or apps).

Returns 200 OK HTTP code after access is revoked with _links to updated resources.

Bodyapplication/jsonrequired

The revocation request parameters

principalOrnstring, (okta-user-orn)(user-orn)required

The Okta user in ORN format

Example:"orn:okta:directory:00o8rk36Bp5eZKOrw0g4:users:00u1ktfFMZ5HNoj7k0g4"
actorstring(grant-actor)

The flow that triggered the grant request

Default:"API"
Enum ValueDescription
API

The grant request was triggered from the API.

ACCESS_REQUEST

The grant request was triggered from an access request.

NONE

The grant request wasn't triggered from the API, an access request, or the Admin Console.

ADMIN

The grant request was triggered from the Admin Console.

revokeOrnsArray of strings, [ 1 .. 5 ] itemsrequired

List of resource ORNs to revoke access:

  • Entitlement value and entitlement bundle resources can be combined in a single request (with a maximum of five resources in a request).
  • App resources must be revoked separately (a request can only contain one app ORN).
POST
/governance/api/v2/revoke-principal-access
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/governance/api/v2/revoke-principal-access \
  -H 'Content-Type: application/json' \
  -d '{
    "principalOrn": "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00ub0oNGTSWTBKOLGLNR",
    "actor": "ADMIN",
    "revokeOrns": [
      "orn:okta:idp:00o11rndFqmZ5rNfs0g4:apps:oidc_client:0oa251e7jQHXVgg5r0g4"
    ]
  }'

Responses

Response for a successful revocation

Bodyapplication/json
dataArray of objects(revoke-principal-access-resource-links)

List of related links for each revoked-access resource

Response
{ "data": [ {}, {} ] }